1. Bookings
Public API
  • Welcome to the deskbird developer docs
  • Public API
    • Overview
    • Users
      • Lists company users
      • Retrieves a single company user
    • Bookings
      • Lists company bookings
        GET
      • Creates a new resource booking
        POST
      • Gets a single company booking
        GET
      • Updates an existing booking
        PATCH
      • Cancels a booking
        PATCH
      • Checks in to a booking
        PATCH
      • Releases a booking early
        PATCH
    • Groups
      • Lists company user groups
      • Retrieves a single company user group
    • Resources
      • Gets a resource by ID
      • Lists company resources
    • Offices
      • Lists company offices
      • Checks a user into an office
    • Scheduling
      • Lists company scheduling statuses
      • Deletes scheduling statuses by IDs
      • Adds new scheduling statuses for a user
    • Scheduling Options
      • Lists company scheduling options
    • Rooms
      • Lists company rooms
      • Gets a single room
      • Creates a room booking
      • Lists room bookings
      • Gets a single room booking
      • Updates a room booking
      • Checks in to a room booking
      • Cancels a room booking
      • Lists company room bookings
    • Floors
      • Lists company floors
    • Zones
      • Lists company zones
    • Tickets
      • Lists company tickets
      • Gets a single company ticket
      • Lists ticket categories
      • Updates a ticket
    • Sensors
      • Lists company monitors
      • Lists company network configurations
    • Visitors
      • Lists company visit types
      • Lists company visits
      • Gets a single company visit
    • Service requests
      • Lists company service requests
      • Lists service categories of an office
      • Gets a single company service request
  • MCP server
    • Overview
    • Authentication
    • Tools reference
  1. Bookings

Gets a single company booking

GET
/bookings/{bookingId}
Retrieves detailed information about a specific booking by its ID. Returns complete booking data including user information (if not anonymized), resource details, guest information (if applicable), check-in status, booking history, and all booking metadata.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://connect.deskbird.com/bookings/' \
--header 'Authorization: Bearer <token>'

Responses

🟢200OK
application/json
Return of a single booking
Bodyapplication/json

Example
{
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "userId": "123e4567-e89b-12d3-a456-426614174000",
    "anonymized": false,
    "autoCancellationTime": "2021-01-01T00:00:00.000Z",
    "checkInStatus": "checkedIn",
    "earlyReleaseEndTime": "2021-01-01T00:00:00.000Z",
    "endTime": "2021-01-01T00:00:00.000Z",
    "guest": {
        "firstName": "John",
        "lastName": "Doe",
        "email": "john.doe@example.com"
    },
    "isAnonymousBooking": false,
    "startTime": "2021-01-01T00:00:00.000Z",
    "status": "accepted",
    "zoneId": "1234",
    "zoneUuid": "123e4567-e89b-12d3-a456-426614174000",
    "floorId": "1122",
    "floorUuid": "123e4567-e89b-12d3-a456-426614174000",
    "resourceId": "123e4567-e89b-12d3-a456-426614174000",
    "resource": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "name": "Desk 1",
        "type": "flexDesk"
    },
    "officeId": "ca99dd78-2efb-49eb-a254-be0e3d56ca15",
    "user": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "email": "john.doe@example.com",
        "firstName": "John",
        "lastName": "Doe"
    },
    "cancelledBy": "auto",
    "cancelledByUserId": "123e4567-e89b-12d3-a456-426614174000",
    "history": [
        {
            "action": "created",
            "source": "deskbird-api",
            "userUuid": "123e4567-e89b-12d3-a456-426614174000",
            "completedAt": "2021-01-01T00:00:00.000Z"
        }
    ],
    "createdAt": "2021-01-01T00:00:00.000Z",
    "updatedAt": "2021-01-01T00:00:00.000Z"
}
🟠401Unauthorized
🟠403Forbidden
🟠404Record Not Found
Previous
Creates a new resource booking
Next
Updates an existing booking
Built with